Name:           perl-Redis
Version:        1.978
Release:        3%{?dist}
Summary:        Perl binding for Redis database
License:        ASL 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Redis/
Source0:        http://www.cpan.org/modules/by-module/Redis/Redis-%{version}.tar.gz
# required test libraries for EPEL6
Patch1:         redis_required_test_libraries.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
%if 0%{?el6}
BuildRequires:  perl(Config)
%endif
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::Timeout) >= 0.22
BuildRequires:  perl(IO::Socket::UNIX)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(lib)
%if 0%{?el6}
%else
BuildRequires:  perl(Net::EmptyPort)
%endif
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
%if 0%{?el6}
BuildRequires:  perl(Symbol)
%endif
BuildRequires:  perl(Test::CPAN::Meta)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
%if 0%{?el6}
%else
BuildRequires:  perl(Test::More) >= 0.98
%endif
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::SharedFork)
%if 0%{?el6}
%else
BuildRequires:  perl(Test::TCP)
%endif
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Tie::StdHash)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(warnings)
%if 0%{?el6}
BuildRequires:  perl(vars)
%endif
BuildRequires:  redis
Requires:       perl(Time::HiRes)
Requires:       perl(IO::Socket::Timeout) >= 0.22
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Pure perl bindings for http://redis.io/

%prep
%setup -q -n Redis-%{version}
%if 0%{?el6}
%patch1 -p1
%endif

%build
%if 0%{?el6}
export PERL_MM_FALLBACK_SILENCE_WARNING=1
export PERL5LIB=include_test_libs/lib
%endif
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if 0%{?el6}
export PERL5LIB=include_test_libs/lib
%endif
export TEST_REDIS_SERVER_SOCK_PATH=$RPM_BUILD_ROOT/redis.sock
redis-server - <<_OUT_ &
unixsocket $TEST_REDIS_SERVER_SOCK_PATH
unixsocketperm 700
pidfile $RPM_BUILD_ROOT/redis.pid
daemonize yes
port 0
_OUT_
RELEASE_TESTING=1 make test
kill -TERM `cat $RPM_BUILD_ROOT/redis.pid`

%files
%doc Changes LICENSE README scripts tools
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.978-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.978-2
- Perl 5.22 rebuild

* Sun Feb 01 2015 David Dick <ddick@cpan.org> - 1.978-1
- Upgrade to 1.978.

* Thu Oct 09 2014 David Dick <ddick@cpan.org> - 1.976-1
- Upgrade to 1.976.

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.975-2
- Perl 5.20 rebuild

* Tue Aug 05 2014 David Dick <ddick@cpan.org> - 1.975-1
- Upgrade to 1.975.  Include patched fixes from previous version, documentation clarifications

* Fri May 16 2014 David Dick <ddick@cpan.org> - 1.974-1
- Initial release
